Page MenuHomeFreeBSD

audio/mumble: update to 1.5.517
ClosedPublic

Authored by vvd on Jul 15 2023, 10:24 PM.
Referenced Files
Unknown Object (File)
Thu, Feb 8, 9:24 PM
Unknown Object (File)
Jan 12 2024, 9:40 PM
Unknown Object (File)
Dec 20 2023, 7:11 AM
Unknown Object (File)
Nov 11 2023, 6:24 AM
Unknown Object (File)
Oct 15 2023, 9:56 AM
Unknown Object (File)
Oct 15 2023, 9:56 AM
Unknown Object (File)
Oct 11 2023, 10:28 PM
Unknown Object (File)
Aug 14 2023, 5:42 PM

Details

Summary

Tested on live system 13.2-p1 amd64: build and run. Connect to server 1.4.287 and 1.5.517.
Tested build in poudriere on 13.2-p1 amd64 and i386 with default options and with all options on.

On both amd64 and i386 it build lib/libmumbleoverlay.x86_64.so and lib/libmumbleoverlay.x86.so.
Can't test on arm, ppc and other platforms. Who can test?

Also need testing on 14 with OpenSSL 3 and LLVM 16.

PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=261395

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

vvd requested review of this revision.Jul 15 2023, 10:24 PM
vvd created this revision.
audio/mumble/Makefile
12–15

If the port uses header-only Boost libraries, I'd rather put the ${LOCALBASE}/include/boost/.../somelib.h in there.

27

I don't think it makes sense to list all Poco libraries here. Unless poco port has options and you want to safeguard the user in the case when he built Poco with, say, JSON disabled.

45

It feels strange that you have nlohmann/json.hpp in both BUILD_DEPENDS and GH_TUPLE. You should probably remove it from the latter.

107–125

Why use our own install target?

audio/mumble/Makefile
12–15

I don't know what includes port really use. Just added boost as dependancy.
I can replace this, but I don't understand why it's better and need to search what exact include it use.

27

I listed all libs linked with port.
At least JSON, XML and ZIP are options for devel/poco.
Maybe we can remove Foundation and Utils - I don't know. Need advice from poco-guru.

45

Build stage use submodules for build "license" anly - already tested - fails without this line.
But other build stages uses port devel/nlohmann-json.

107–125

I don't know - I'm not teh author of the port. I just update it with minimal changes.

audio/mumble/Makefile
12–15

This is simply more explicit. Just do grep -r boost/ ${WRKSRC} to get a list of headers and choose more or less representative one.

27

I'm 99% sure there is no poco-guru. Remove non-option library dependencies then.

45
audio/mumble/Makefile
12–15
boost/accumulators/accumulators.hpp
boost/accumulators/statistics/extended_p_square.hpp
boost/accumulators/statistics/mean.hpp
boost/accumulators/statistics/stats.hpp
boost/accumulators/statistics/variance.hpp
boost/array.hpp
boost/bind.hpp
boost/bind/bind.hpp
boost/chrono.hpp
boost/function.hpp
boost/make_shared.hpp
boost/optional.hpp
boost/scoped_ptr.hpp
boost/shared_array.hpp
boost/shared_ptr.hpp
boost/signals.hpp
boost/thread/once.hpp
boost/type_traits/is_detected.hpp
boost/typeof/typeof.hpp
boost/version.hpp

What is the best choice?

27

ok

45

Check above:

CMAKE_OFF=	bundled-json

Weird - I tested and was error during license build without this line in GH_TUPLE.
But now build fine without it.

audio/mumble/Makefile
12–15

I'd go with boost/version.hpp.

vvd marked 4 inline comments as done.Jul 28 2023, 5:41 PM
This revision is now accepted and ready to land.Jul 28 2023, 5:46 PM

Fixed text-to-speech options.

This revision now requires review to proceed.Jul 28 2023, 8:56 PM
This revision is now accepted and ready to land.Jul 29 2023, 5:27 AM